
// Use this so that I don't have to deal with people [morons] who either delete 
// the info.dat or just don't extract it from the archive.

#include "shared.h"

//!!!!!!!!!!! CURRENT VERSION!!
unsigned int currentver = 0x070731;


void write_info_dat()
{
	FILE *fp;

	fp = fopen("info.dat", "wt");

	if (fp == NULL)
		return;

	fprintf (fp, "[VERSION=%6.6x]\n", currentver);

	fprintf (fp, "C640C78C,0005,1000,0, // m3 1.00  English\n");

	fprintf (fp, "BBCE362E,0003,1010,0, // m3 1.01  Japanese\n");
	fprintf (fp, "89E5839E,0005,1010,0, // m3 1.01  English\n");
	fprintf (fp, "885C1F9F,0007,1010,0, // m3 1.01  Chinese Simplified\n");
	fprintf (fp, "7FED1152,0017,1010,0, // m3 1.01  Chinese Traditional\n");

	fprintf (fp, "636D18C7,0003,102b,0, // m3 1.02b Japanese\n");
	fprintf (fp, "3AB45D43,0005,102b,0, // m3 1.02b English\n");
	fprintf (fp, "542CAA00,0007,102b,0, // m3 1.02b Chinese Simplified\n");
	fprintf (fp, "E6933AA6,0017,102b,0, // m3 1.02b Chinese Traditional\n");
	fprintf (fp, "1CA8C4EE,0003,1020,0, // m3 1.02  Japanese\n");
	fprintf (fp, "7898A6C1,0005,1020,0, // m3 1.02  English\n");
	fprintf (fp, "E6AF244A,0007,1020,0, // m3 1.02  Chinese Simplified\n");
	fprintf (fp, "EA1F2655,0017,1020,0, // m3 1.02  Chinese Traditional\n");

	fprintf (fp, "506510EE,0003,1030,0, // m3 1.03  Japanese\n");
	fprintf (fp, "E732BA5F,0005,1030,0, // m3 1.03  English\n");
	fprintf (fp, "C067540E,0007,1030,0, // m3 1.03  Chinese Simplified\n");
	fprintf (fp, "42A29E6E,0017,1030,0, // m3 1.03  Chinese Traditional\n");

	fprintf (fp, "521E1211,0003,104b,0, // m3 1.04b Japanese\n");
	fprintf (fp, "80DC41E9,0005,104b,0, // m3 1.04b English\n");
	fprintf (fp, "7CEFF9B2,0007,104b,0, // m3 1.04b Chinese Simplified\n");
	fprintf (fp, "F5EFD676,0017,104b,0, // m3 1.04b Chinese Traditional\n");
	fprintf (fp, "1A5699E6,0005,1040,1, // m3 1.04  English\n");
	fprintf (fp, "E75C4AEE,0007,1040,1, // m3 1.04  Chinese Simplified\n");
	fprintf (fp, "D4689969,0017,1040,1, // m3 1.04  Chinese Traditional\n");

	fprintf (fp, "102939BF,0005,1050,2, // m3 1.05  English\n");
	fprintf (fp, "6C158417,0003,1050,2, // m3 1.05  Japanese\n");
	fprintf (fp, "587CD1C5,0007,1050,2, // m3 1.05  Chinese Simplified\n");
	fprintf (fp, "21BDB7B3,0017,1050,2, // m3 1.05  Chinese Traditional\n");

	fprintf (fp, "560B5064,0005,1060,2, // m3 1.06  English\n");
	fprintf (fp, "D847156B,0003,1060,2, // m3 1.06  Japanese\n");
	fprintf (fp, "0A851E1F,0007,1060,3, // m3 1.06  Chinese Simplified\n");
	fprintf (fp, "7507E438,0017,1060,3, // m3 1.06  Chinese Traditional\n");

	fprintf (fp, "FE3CB37C,0005,1070,4, // m3 1.07  English\n");
	fprintf (fp, "B58E0E69,0007,1070,4, // m3 1.07  Chinese Simplified\n");
	fprintf (fp, "7FF3111F,0017,1070,4, // m3 1.07  Chinese Traditional\n");

	fprintf (fp, "5995B9B7,000D,1040,0, // r4 1.04  English\n");
	fprintf (fp, "1FCCAD61,000F,1040,0, // r4 1.04  Chinese Simplified\n");

	fprintf (fp, "F67BEE21,000D,1050,0, // r4 1.05  English\n");
	fprintf (fp, "90B6B96C,000F,1050,0, // r4 1.05  Chinese Simplified\n");
	fprintf (fp, "8A3DAA21,001F,1050,0, // r4 1.05  Chinese Traditional\n");

	fprintf (fp, "4D7F63CC,000D,106b,0, // r4 1.06b English\n");
	fprintf (fp, "F0C80A99,000F,106b,0, // r4 1.06b Chinese Simplified\n");
	fprintf (fp, "18F07168,001F,106b,0, // r4 1.06b Chinese Traditional\n");
	fprintf (fp, "F03F339A,000D,1060,0, // r4 1.06  English\n");
	fprintf (fp, "3E31A646,000F,1060,0, // r4 1.06  Chinese Simplified\n");
	fprintf (fp, "C63EBCBB,001F,1060,0, // r4 1.06  Chinese Traditional\n");

	fprintf (fp, "E4CE9FBB,000D,1070,0, // r4 1.07  English\n");

	fprintf (fp, "E151EBC2,000D,108b,0, // r4 1.08b English\n");
	fprintf (fp, "A3DB781D,000D,1080,1, // r4 1.08  English\n");
	fprintf (fp, "411848CB,001F,1080,1, // r4 1.08  Chinese Traditional\n");

	fprintf (fp, "2FD986A0,000D,1090,2, // r4 1.09  English\n");
	fprintf (fp, "1EAD4DD6,000F,1090,2, // r4 1.09  Chinese Simplified\n");
	fprintf (fp, "E3B7628F,001F,1090,2, // r4 1.09  Chinese Traditional\n");

	fprintf (fp, "9669DDC4,000D,1100,3, // r4 1.10  English\n");
	fprintf (fp, "A7A10FE9,002D,1100,3, // r4 1.10  French (English hardware)\n");
	fprintf (fp, "1BB40165,004D,1100,3, // r4 1.10  Korean (English hardware)\n");
	fprintf (fp, "B960A87E,000F,1100,3, // r4 1.10  Chinese Simplified\n");
	fprintf (fp, "C4D69F14,001F,1100,3, // r4 1.10  Chinese Traditional\n");

	fprintf (fp, "2E866286,000D,1110,4, // r4 1.11  English\n");
	fprintf (fp, "503E5BD9,002D,1110,4, // r4 1.11  French (English hardware)\n");
	fprintf (fp, "2F551D72,004D,1110,4, // r4 1.11  Korean (English hardware)\n");
	fprintf (fp, "9B82713D,000F,1110,4, // r4 1.11  Chinese Simplified\n");
	fprintf (fp, "EB04A1EB,001F,1110,4, // r4 1.11  Chinese Traditional\n");

	fprintf (fp, "\n");

	fprintf (fp, "[PATCH]\n");
	fprintf (fp, "0,0200,1264,						// Pre-1.08 [R4] / 1.04 [M3]\n");
	fprintf (fp, "1,12C0,13A4,14AC,2228,294C,29D8,3244,3AC4,3C9C,3F88,	// 1.08 [R4] / 1.04 [M3]\n");
	fprintf (fp, "2,12C0,13B4,14C8,2238,2554,2C24,334C,3524,3718,43C0,	// 1.09 [R4] / 1.05 [M3]\n");
	fprintf (fp, "3,1310,1404,151C,26B0,2868,2F50,3C60,3E38,3F3C,4DF8,	// 1.10 [R4] / 1.06 [M3]\n");
	fprintf (fp, "4,1380,1474,158C,41B0,					// 1.11 [R4] / 1.07 [M3]\n");

	fclose (fp);
}

/*
// code to generate the above from an actual info.dat

#include <stdio.h>
#include <string.h>

int main()
{
	FILE *fz, fp;
	char szLine[256];

	fz = fopen("info.dat", "rt");
	fp = fopen("out.txt", "wt");

	while (1)
	{
		if (fgets(szLine, 256, fz) == NULL)
			break;

		szLine[strlen(szLine)-1] = '\0'; // remove '\n'

		fprintf (fp, "\tfprintf (fp, \"%s\\n\");\n", szLine);
	}

	fclose (fz);
	fclose (fp);
}
*/

